<?php
namespace Phox\core\admin\panel\wdes_options\pages\elements\actions;

if ( ! defined( 'ABSPATH' ) ) {
    exit; //Exit if assessed directly
}

use Phox\core\admin\panel\wdes_options\pages\elements\actions\Abstract_Action;
use Phox\core\admin\panel\wdes_options\Panel_Controller;

/**
 * Class Import_Admin_Options
 *
 * Handles administrative options for importing data.
 */
class Import_Admin_Options extends Abstract_Action
{

    /**
     * Initiates the import process using the Panel Controller instance.
     *
     * @return void
     */
    public function import_admin_options():void
    {
        Panel_Controller::getInstance()->import_process();
    }

    /**
     * Calls the import method of the current instance.
     *
     * @return void
     */
    public function call():void
    {
        $this->import_admin_options();
    }
}